跳转到主要内容

通往私密、无限制访问智能的 API。

单个 API 密钥背后的 OpenAI 兼容 chat、image、audio 和 video。

curl https://api.venice.ai/api/v1/chat/completions \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "zai-org-glm-5-1",
    "messages": [{"role": "user", "content": "Build without permission."}]
  }'

端点

一个 API,涵盖所有模态

单个 API 密钥背后的 Chat、image、audio、video 和 embeddings。

另外还有 embeddings文件输入MCP 工具钱包支付查看所有端点 →

Agent

为 AI agent 而构建

为消息、编码和链上 agent 提供的私密推理、MCP 工具和钱包资助的工作流。

探索 AI Agents 中心 →

模型

热门模型

Venice 上一些使用最多的模型。将 ID 用作您的 model 参数。

250+ 个模型文本、图像、音频和视频浏览目录 →

工具

聊天模型的内置工具

使用 venice_parameters 或 Venice 原生端点开启网页搜索、附加文件或查询区块链。

Web Search

Web Scraping

File Inputs

Crypto RPC

通过 enable_web_search 为任何文本模型添加带引用的实时网页搜索。
curl https://api.venice.ai/api/v1/chat/completions \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "zai-org-glm-5-1",
    "messages": [{"role": "user", "content": "What are the latest developments in AI?"}],
    "venice_parameters": {
      "enable_web_search": "auto"
    }
  }'
设置 enable_web_scraping: true,模型在回答之前会获取并读取用户消息中的任何 URL。
curl https://api.venice.ai/api/v1/chat/completions \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "openai-gpt-55",
    "messages": [
      {"role": "user", "content": "Summarize this post in five bullets: https://venice.ai/blog/how-to-use-venice-api"}
    ],
    "venice_parameters": {
      "enable_web_scraping": true
    }
  }'
将 PDF、Office 文档、代码和文本文件(最大 25MB)直接附加到聊天请求。完整的格式列表请参阅 文件输入指南
# Encode a local file as a base64 data URL, then send it inline
FILE_B64=$(base64 q3-report.pdf | tr -d '\n')

curl https://api.venice.ai/api/v1/chat/completions \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d "{
    \"model\": \"openai-gpt-55\",
    \"messages\": [
      {
        \"role\": \"user\",
        \"content\": [
          {\"type\": \"text\", \"text\": \"Summarize this report in five bullets and list the main risks.\"},
          {\"type\": \"file\", \"file\": {\"filename\": \"q3-report.pdf\", \"file_data\": \"data:application/pdf;base64,${FILE_B64}\"}}
        ]
      }
    ]
  }"
使用您的 Venice 密钥或 x402 钱包跨 11 条支持的链代理 JSON-RPC 2.0 调用。链、方法和 credit 层级请参阅 Crypto RPC 参考
curl https://api.venice.ai/api/v1/crypto/rpc/ethereum-mainnet \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_blockNumber",
    "params": [],
    "id": 1
  }'

定价

充值、质押或按请求付费

使用 credit 为账户充值,质押 DIEM 以获得每日津贴,或在 Base 上使用 USDC 完全跳过账户。

CreditsUSD 或加密货币

以美元或加密货币按用量付费。Credit 永不过期,适用于所有端点。

购买 Credit
DIEM每日津贴

一次性质押 DIEM 或 VVV,每天赚取固定的推理津贴,无每次调用费用。

了解 DIEM
x402Base 上的 USDC

从任何 Base 钱包使用 USDC 按请求付费。无需账户或 API 密钥,为 agent 而构建。

阅读 x402 指南
有问题或反馈?加入我们的 Discord